#!/bin/bash

# AAPP setup
export AAPP_INSTALL_DIR=$DBVM_HOME/apps/aapp/aapp
export PATH=$AAPP_INSTALL_DIR/scripts:$PATH

# Remove bad TLE data
rm -v -rf $AAPP_INSTALL_DIR/AAPP/orbelems/tle_db/*
rm -v -rf $AAPP_INSTALL_DIR/AAPP/orbelems/satpos/*

# Copy Metop MMAM TLE file to AAPP orbelems
dir=$AAPP_INSTALL_DIR/AAPP/orbelems/tle_db/$(date -u +%Y"-"%m)
mkdir -v -p $dir
file=$(date -u +"tle_"%Y%m%d"_"%H%M".txt")
cp -v input/tle.txt $dir/$file

# Update Level 1 processing script
rsync -av aapp_metop_level1.bash $AAPP_INSTALL_DIR/scripts

# AMSU Level 1 processing
mkdir output
mkdir work
export APPTAINERENV_WRK=/mnt/work
export APPTAINERENV_FDFSAT="METO-02"
export APPTAINERENV_FDFVN="2"
export APPTAINERENV_PAR_NAVIGATION_EXTRAP_LIMIT="1000"
aapp_run.bash AAPP_RUN_METOP -i AMSU-A -d /mnt/input -o /mnt/output
ls -lsa output
